
Katello - Bug #5596

Client Registration fails "Current user not set"

05/06/2014 08:01 PM - Justin Sherrill

Status: Closed   

Priority: Urgent   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Trying to register a client:

subscription-manager register --org=ACME_Corporation --environment=Library

fails with error:

"Current user not set"

Traced this down and its related to commit cb6b5bda884e6dae3806c2acd8db52433cddcdc3

The authorize call is occuring after find_environment_and_content_view which uses permissions to lookup the environment and

content view.

Associated revisions

Revision ad95493b - 05/07/2014 01:47 AM - Justin Sherrill

fixes #5596 - fixing errors on system registration

a readable? call was occuring prior to authorized being called

Since readable? is not even the correct permission, and the

consumer_create actions handles its own permissions checking

registerable?.

The only other action that uses it is hypervisors_update,

but since this is using consumer auth, it was ignoring the

check completely

Revision 39630a7b - 05/07/2014 12:52 PM - Justin Sherrill

Merge pull request #4054 from jlsherrill/reg

fixes #5596 - fixing errors on system registration

History

#1 - 05/07/2014 12:53 PM - Justin Sherrill

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ad95493b7c6ee332339b13ddd159403dec2bded9.

#2 - 05/27/2014 05:09 PM - Eric Helms

- Target version set to 44

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes
